Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.editor
Class DiagramDocument

public class DiagramDocument
implements ApplicationDocument, PropertyChangeListener, TransactionListener

Field Summary
`final static Point` | `VIEWPANE_OFFSET`
`final static int` | `X_VIEWPANE_OFFSET`
`final static int` | `Y_VIEWPANE_OFFSET`

Constructor Summary
`DiagramDocument(Diagram diagram)`

Method Summary
`void` | `activated()`
`boolean` | `addEdit(UndoableEdit ue)`
`void` | `close()`
`void` | `completeTransaction()`
`void` | `deactivated()`
`Diagram` | `getDiagram()`
`ViewerDiagramFilter` | `getDiagramFilter()`
`String` | `getDisplayName()`
`UndoManager` | `getUndoManager()`
`ViewPane` | `getViewPane()`
`void` | `propertyChange(PropertyChangeEvent pce)`
`void` | `startTransaction(TransactionEvent te)`
`void` | `updateActionsState()`
`void` | `updateEditor()`

Field Detail

### VIEWPANE_OFFSET

    public final static Point VIEWPANE_OFFSET

### X_VIEWPANE_OFFSET

    public final static int X_VIEWPANE_OFFSET

### Y_VIEWPANE_OFFSET

    public final static int Y_VIEWPANE_OFFSET

Constructor Detail

### DiagramDocument

    public DiagramDocument(Diagram diagram)

Method Detail

### activated

    public void activated()

### addEdit

    public boolean addEdit(UndoableEdit ue)

### close

    public void close()

### completeTransaction

    public void completeTransaction()

### deactivated

    public void deactivated()

### getDiagram

    public Diagram getDiagram()

### getDiagramFilter

    public ViewerDiagramFilter getDiagramFilter()

### getDisplayName

    public String getDisplayName()

### getUndoManager

    public UndoManager getUndoManager()

### getViewPane

    public ViewPane getViewPane()

### propertyChange

    public void propertyChange(PropertyChangeEvent pce)

  todo filtering events for diagram update
  pending if filter is changed we should only reapply the filter and not rebuild the diagram

### startTransaction

    public void startTransaction(TransactionEvent te)

### updateActionsState

    public void updateActionsState()

### updateEditor

    public void updateEditor()

Association Links

to Class biouml.model.Diagram

to Class ru.biosoft.graphics.editor.ViewPane

to Class biouml.editor.ViewerDiagramFilter

to Class com.beanexplorer.undo.TransactionUndoManager

to Class org.apache.log4j.Category

to Class java.awt.Point

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM